org.apache.fop.afp.modca

## Class Overlay

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractNamedAFPObject
        - - org.apache.fop.afp.modca.AbstractPageObject
          - - org.apache.fop.afp.modca.AbstractResourceGroupContainer
            - - org.apache.fop.afp.modca.PageObject
              - - org.apache.fop.afp.modca.Overlay

All Implemented Interfaces:
  Completable, Streamable

    public class Overlay
    extends PageObject

An overlay is a MO:DCA-P resource object. It may be stored in an external resource library or it may be carried in a resource group. An overlay is similar to a page in that it defines its own environment and carries the same data objects.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.modca.AbstractResourceGroupContainer

`resourceGroup, started`

### Fields inherited from class org.apache.fop.afp.modca.AbstractPageObject

`activeEnvironmentGroup, complete, factory, invokeMediumMaps, objects, rotation`

### Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

`name`

### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`triplets`

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`Overlay(Factory factory, String name, int width, int height, int rotation, int widthResolution, int heightResolution)` Construct a new overlay object for the specified name argument, the overlay name should be an 8 character identifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `writeContent(OutputStream os)` Helper method to write the contents of the Object.
`protected void` `writeEnd(OutputStream os)` Helper method to write the end of the Object.
`protected void` `writeStart(OutputStream os)` Helper method to write the start of the Object.

### Methods inherited from class org.apache.fop.afp.modca.PageObject

`addObject, canWrite, createIncludePageOverlay, createShading, toString`

### Methods inherited from class org.apache.fop.afp.modca.AbstractResourceGroupContainer

`getResourceCount, getResourceGroup, hasResources, writeObjects, writeObjects, writeToStream`

### Methods inherited from class org.apache.fop.afp.modca.AbstractPageObject

`createFont, createIncludePageSegment, createInvokeMediumMap, createLine, createNoOperation, createTagLogicalElement, createText, endPage, endPresentationObject, getActiveEnvironmentGroup, getHeight, getPresentationTextObject, getRotation, getTagLogicalElements, getWidth, isComplete, setComplete`

### Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

`copySF, getName, getNameBytes, getNameLength, setName`

### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, truncate, writeChunksToStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Overlay

    public Overlay(Factory factory,
                   String name,
                   int width,
                   int height,
                   int rotation,
                   int widthResolution,
                   int heightResolution)

Construct a new overlay object for the specified name argument, the overlay name should be an 8 character identifier.

Parameters:
  `factory` - the resource manager of the page.
  `name` - the name of the page.
  `width` - the width of the page.
  `height` - the height of the page.
  `rotation` - the rotation of the page.
  `widthResolution` - the width resolution of the page.
  `heightResolution` - the height resolution of the page.

### Method Detail

#### writeStart

    protected void writeStart(OutputStream os)
                       throws IOException

Helper method to write the start of the Object.

Overrides:
  `writeStart` in class `PageObject`
Parameters:
  `os` - The stream to write to
Throws:
  `IOException` - throws an I/O exception if one occurred

#### writeContent

    protected void writeContent(OutputStream os)
                         throws IOException

Helper method to write the contents of the Object.

Overrides:
  `writeContent` in class `PageObject`
Parameters:
  `os` - The stream to write to
Throws:
  `IOException` - throws an I/O exception if one occurred

#### writeEnd

    protected void writeEnd(OutputStream os)
                     throws IOException

Helper method to write the end of the Object.

Overrides:
  `writeEnd` in class `PageObject`
Parameters:
  `os` - The stream to write to
Throws:
  `IOException` - an I/O exception if one occurred